﻿using Hotline.Share.Dtos;
using Hotline.Share.Enums.Article;
using Hotline.Users;
using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.Snapshot;
/// <summary>
/// 随手拍公告
/// </summary>
[Description("随手拍公告")]
public class SnapshotBulletin : CreationEntity
{
    public string Title { get; set; }

    [SugarColumn(ColumnDataType = "text")]
    public string Content { get; set; }

    public string SnapshotBulletinTypeId { get; set; }

    public string SnapshotBulletinTypeName { get; set; }

    /// <summary>
    /// 阅读量
    /// </summary>
    public int ReadedNum { get; set; }

    /// <summary>
    /// 公告状态
    /// </summary>
    public EBulletinState BulletinState { get; set; }

    /// <summary>
    /// 提交时间
    /// </summary>
    public DateTime? CommitTime { get; set; }

    /// <summary>
    /// 审核意见
    /// </summary>
    public string? ExaminOpinion { get; set; }

    /// <summary>
    /// 审核人
    /// </summary>
    public string? ExaminManId { get; set; }

    /// <summary>
    /// 审核人
    /// </summary>
    [Navigate(NavigateType.OneToOne, nameof(ExaminManId))]
    public User? ExaminMan { get; set; }

    /// <summary>
    /// 审核时间
    /// </summary>
    public DateTime? ExaminTime { get; set; }

    /// <summary>
    /// 是否上架
    /// </summary>
    public bool? IsArrive { get; set; }

    /// <summary>
    /// 阅读量+1
    /// </summary>
    public void Read()
    {
        ReadedNum++;
    }
}

